<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
		DB::update('ALTER TABLE charges ALTER COLUMN amount SET NOT NULL');
		DB::update('ALTER TABLE charges ALTER COLUMN quantity SET NOT NULL');
		DB::update('ALTER TABLE charges ALTER COLUMN type SET NOT NULL');
	}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
		DB::update('ALTER TABLE charges ALTER COLUMN amount SET DEFAULT NULL');
		DB::update('ALTER TABLE charges ALTER COLUMN quantity SET DEFAULT NULL');
		DB::update('ALTER TABLE charges ALTER COLUMN type SET DEFAULT NULL');    }
};
